/*********************************************************************

 Author        : ADI - Apps            www.analog.com/MicroConverter

 Date          : Dec. 2006

 File          : UART3.c

 Hardware      : Applicable to ADuC703x

 Description   : This code demonstrates the use of the printf function.
				 							   
                                          																   
***********************************************************************/

#include <ADuC7033.h>
#include"stdio.h" 	

void delay(int);

int main (void)  {

	GP1CON = 0x011;
	GP2DAT = 0x02000000;		// Enable P2.1 (GPIO8) as an output

  	COMCON0 = 0x80;				// Setting DLAB
	COMDIV0 = 0x02;				// 115200 bps
   	COMDIV1 = 0x00;
   	COMCON0 = 0x07;				// Clearing DLAB
  	COMDIV2 = 0x8B1C;

  	printf ("Hello World\n");       // printf function call   

while (1){
	GP2DAT ^=0x020000;		// Complement P2.1
	delay(200000);
	}				
}

void delay (int length){
	while (length >=0)
    	length--;
}
